<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="form-box">
                        <form [formGroup]="personalDetailsEditForm">
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>First Name</label></div>
                                    <div class="col-8">
                                        <input type="text" formControlName="firstname" class="form-control"
                                            placeholder="Enter your FirstName">

                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.firstname">
                                            <span
                                                *ngIf="personalDetailsEditForm.get('firstname').hasError(validation.type) && (personalDetailsEditForm.get('firstname').dirty || personalDetailsEditForm.get('firstname').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Surname</label></div>
                                        <div class="col-8">
                                            <input type="text" formControlName="lastname" class="form-control"
                                                placeholder="Enter your surname" > 
    
                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.lastname">
                                                <span
                                                    *ngIf="personalDetailsEditForm.get('lastname').hasError(validation.type) && (personalDetailsEditForm.get('lastname').dirty || personalDetailsEditForm.get('lastname').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>D.O.B</label></div>
                                    <div class="col-8">
                                        <input type="text" class="form-control date-select" readonly
                                            placeholder="Enter your Date" formControlName="dob" bsDatepicker
                                            [bsConfig]="bsConfig" [maxDate]="startMinDate">
                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.dob">
                                            <span
                                                *ngIf="personalDetailsEditForm.get('dob').hasError(validation.type) && (personalDetailsEditForm.get('dob').dirty || personalDetailsEditForm.get('dob').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Address</label></div>
                                    <div class="col-8">
                                        <textarea class="form-control" placeholder="Enter your Address"
                                            formControlName="address"></textarea>
                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.addressOne">
                                            <span
                                                *ngIf="personalDetailsEditForm.get('address').hasError(validation.type) && (personalDetailsEditForm.get('address').dirty || personalDetailsEditForm.get('address').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Post Code</label></div>
                                    <div class="col-8">
                                        <input type="text" formControlName="postCode" class="form-control"
                                            placeholder="Enter your Postal Code">

                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.postCode">
                                            <span
                                                *ngIf="personalDetailsEditForm.get('postCode').hasError(validation.type) && (personalDetailsEditForm.get('postCode').dirty || personalDetailsEditForm.get('postCode').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Contact Number</label></div>
                                    <div class="col-8">
                                        <input type="tel" formControlName="contactNo" class="form-control"
                                            placeholder="Enter your Contact Number">

                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.phone">
                                            <span
                                                *ngIf="personalDetailsEditForm.get('contactNo').hasError(validation.type) && (personalDetailsEditForm.get('contactNo').dirty || personalDetailsEditForm.get('contactNo').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Country </label></div>
                                    <div class="col-8">
                                        <!-- <select class="form-control select-box" formControlName="country"
                                            (change)="getAllCities($event.target.value)" searchable="true">
                                            <option value="">Select Country</option>
                                            <option [value]="item.countryId" *ngFor="let item of allCountries">
                                                {{item.name}}
                                            </option>
                                        </select> -->
                                        <ng-select formControlName="country"  [multiple]="false"
                                        [closeOnSelect]="true" [searchable]="true"
                                        placeholder=" Select Country" dropdownPosition="bottom"
                                        (change)="selectedCountry()">
                                        <ng-option [value]="item.countryId" *ngFor="let item of allCountries">
                                            {{item.name}}
                                        </ng-option>
                                    </ng-select>

                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.country">
                                            <span
                                                *ngIf="personalDetailsEditForm.get('country').hasError(validation.type) && (personalDetailsEditForm.get('country').dirty || personalDetailsEditForm.get('country').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>City</label></div>
                                    <div class="col-8">
                                        <!-- <select class="form-control select-box" formControlName="city">
                                            <option value="">Select City</option>
                                            <option [value]="item.cityId" *ngFor="let item of allCities">
                                                {{item.name}}
                                            </option>
                                        </select> -->
                                        <!-- <input type="text" class="form-control" id="refercode" placeholder="Search city by name"
                                        formControlName="city" [class.br-red]="showReferralError" #inviteMembers [matAutocomplete]="auto" (input)="getAllCitiess($event.target.value)">
                                        
                                        <mat-autocomplete #auto="matAutocomplete">
                                          <mat-option *ngFor="let user of allCities" [value]="user.name"
                                            (click)="sendInvitation(user)">
                                            <span class="d-inline-flex align-items-center mt-10">
                                              <span class="d-inline-block lh1 ml-2">
                                                  <span class="d-block">{{user.name}}</span>
                                                 
                                              </span>
                                          </span>
                           
                                          </mat-option>
                                        </mat-autocomplete> -->
                                        <ng-select formControlName="city" [items]="allCities" [multiple]="false"
                                        [closeOnSelect]="true" [searchable]="true" bindLabel="name"
                                        placeholder=" Select City" dropdownPosition="bottom"
                                        (change)="selectedJobRoles()">
                                    </ng-select>
                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.city">
                                            <span
                                                *ngIf="personalDetailsEditForm.get('city').hasError(validation.type) && (personalDetailsEditForm.get('city').dirty || personalDetailsEditForm.get('city').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Email</label></div>
                                    <div class="col-8">
                                        <input type="email" formControlName="EmailId" class="form-control"
                                            placeholder="Enter your Email">

                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.email">
                                            <span
                                                *ngIf="personalDetailsEditForm.get('EmailId').hasError(validation.type) && (personalDetailsEditForm.get('EmailId').dirty || personalDetailsEditForm.get('EmailId').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Select languages</label></div>
                                    <div class="col-8">
                                        <ng-select formControlName="language" [items]="allLanguages" [multiple]="true"
                                            [closeOnSelect]="false" [searchable]="true" bindLabel="nativeName"
                                            placeholder=" Select languages" dropdownPosition="bottom"
                                            (change)="showSelectedLanguage()">
                                        </ng-select>
                                    </div>
                                </div>
                            </div>
                            <div class="lang-btm" *ngIf="selectedLanguagesList.length">
                                <table class="table table-bordered language-table">
                                    <tbody>
                                        <tr>
                                            <th>Languages</th>
                                            <th>Beginner</th>
                                            <th>Intermediate</th>
                                            <th>Advanced</th>
                                            <th>Fluent</th>
                                        </tr>
                                        <tr *ngFor="let lang of selectedLanguagesList;let i = index; ">
                                            <td style="text-align:left;"><strong> {{lang.nativeName}} </strong></td>
                                            <td><input type="radio" name="{{lang.code}}" value="Beginner"  [checked]="lang.rank == 'Beginner' ? true : false"  (change)="selectRank(i,'Beginner')">
                                            </td>
                                            <td><input type="radio" name="{{lang.code}}" value="Intermediate"  [checked]="lang.rank == 'Intermediate' ? true : false"   (change)="selectRank(i,'Intermediate')">
                                            </td>
                                            <td><input type="radio" name="{{lang.code}}" value="Advanced"  [checked]="lang.rank == 'Advanced' ? true : false"  (change)="selectRank(i,'Advanced')">
                                            </td>
                                            <td><input type="radio" name="{{lang.code}}" value="Fluent"  [checked]="lang.rank == 'Fluent' ? true : false"  (change)="selectRank(i,'Fluent')">
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="kin-btm">
                               <h6> <strong style="font-size: 15px;">Next of Kin</strong></h6>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Name</label></div>
                                        <div class="col-8">
                                            <input type="text" formControlName="kinName" class="form-control"
                                                placeholder="Enter Kin's Name">

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.fullname">
                                                <span
                                                    *ngIf="personalDetailsEditForm.get('kinName').hasError(validation.type) && (personalDetailsEditForm.get('kinName').dirty || personalDetailsEditForm.get('kinName').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Relationship</label></div>
                                        <div class="col-8">
                                            <input type="text" formControlName="relationWithKin" class="form-control"
                                                placeholder="Enter Kin's Relationship">

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.relation">
                                                <span
                                                    *ngIf="personalDetailsEditForm.get('relationWithKin').hasError(validation.type) && (personalDetailsEditForm.get('relationWithKin').dirty || personalDetailsEditForm.get('relationWithKin').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Contact Number</label></div>
                                        <div class="col-8">
                                            <input type="tel" formControlName="kinContactNo" class="form-control"
                                                placeholder="Kin's Contact Number">

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.phone">
                                                <span
                                                    *ngIf="personalDetailsEditForm.get('kinContactNo').hasError(validation.type) && (personalDetailsEditForm.get('kinContactNo').dirty || personalDetailsEditForm.get('kinContactNo').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Email Address</label></div>
                                        <div class="col-8">
                                            <input type="email" formControlName="email_address" class="form-control"
                                                placeholder="Enter Kin's email">

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.email">
                                                <span
                                                    *ngIf="personalDetailsEditForm.get('email_address').hasError(validation.type) && (personalDetailsEditForm.get('email_address').dirty || personalDetailsEditForm.get('email_address').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Home Address</label></div>
                                        <div class="col-8">
                                            <input type="text" formControlName="home_address" class="form-control"
                                                placeholder="Enter Kin's address">

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.addressOne">
                                                <span
                                                    *ngIf="personalDetailsEditForm.get('home_address').hasError(validation.type) && (personalDetailsEditForm.get('home_address').dirty || personalDetailsEditForm.get('home_address').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group text-center">
                                <input type="submit" [disabled]="!personalDetailsEditForm.valid"
                                    (click)="saveProfileEditDetails()" value="Save" class="btn">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>